Package org.silverpeas.components.silvercrawler.servlets

## Class SilverCrawlerFileServer

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet
      - - org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet
        - - org.silverpeas.components.silvercrawler.servlets.SilverCrawlerFileServer

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class SilverCrawlerFileServer
      extends org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet

      `org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet.HttpError, org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet.UserSessionStatus`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SilverCrawlerFileServer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` |
    `void` | `doPost​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` |
    `void` | `init​(javax.servlet.ServletConfig config)` |

    - ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet

      `getMainSessionController, getSessionInfo, getSynchronizerTokenService, renewSessionSecurityToken, service, throwUserSessionExpiration`

    - ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet

      `existOpenedUserSession, forbidden, notFound, preconditionFailed, redirectOrForwardService, sendError, sendError, throwHttpForbiddenError, throwHttpForbiddenError, throwHttpNotFoundError, throwHttpNotFoundError, throwHttpPreconditionFailedError, throwHttpPreconditionFailedError`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SilverCrawlerFileServer

          public SilverCrawlerFileServer()

  - ### Method Detail

    - #### init

          public void init​(javax.servlet.ServletConfig config)

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`

    - #### doGet

          public void doGet​(javax.servlet.http.HttpServletRequest req,
                            javax.servlet.http.HttpServletResponse res)

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`

    - #### doPost

          public void doPost​(javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`